/* Cover Component */
/* ------------------------------------------------- */

section.cover {
    position: relative;
    width: 100%;
    height: 100lvh;
    padding: var(--space-9) 0;
    box-sizing: border-box;
    overflow: hidden;
}

section.cover img,
section.cover video {
    position: absolute;
    left: 0;
    top: -15%;
    width: 100%;
    height: 130%;
    object-fit: cover;
    will-change: transform;
}

section.cover::before {
    background: linear-gradient(180deg, rgba(0, 0, 0, 0.00) 66.69%, rgba(0, 0, 0, 0.70) 93.27%);
    background-blend-mode: multiply, normal;
    content: '';
    z-index: 1;
    width: 100%;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
}

section.cover .wrap {
    position: relative;
    z-index: 2;
    height: 100%;
    display: flex;
    flex-direction: column;
    gap: var(--space-5);
    justify-content: end;
}

section.cover .heading-1 {
    color: var(--neutral-25);
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

section.cover .body-small {
    color: var(--neutral-25);
    text-align: center;
}

/* Responsive */
/* ------------------------------------------------- */

@media (max-width: 650px) {
    section.cover {
        height: 75lvh;
    }
}
